/**
 * colorband.h
 *
 * Colorband functions.
 */
#ifndef COLORBAND_H
#define COLORBAND_H

#include "DNA_key_types.h"
#include "DNA_material_types.h"
#include "DNA_texture_types.h"

void  DY_set_four_ipo(float d, float *data, int type);
int   DY_do_colorband(ColorBand *coba, float in, float out[4]);
float DY_select_ramp_input(int type, float shader, float energy[3], 
        float dpnorm);
void  DY_merge_ramp_color(float res[3], float orig[3], float cb[3], float fac, 
        int type);

#endif // COLORBAND_H

