#if 0

static bool collide_cone_point(dxGeom *o1, dVector3 &V, dReal zOffset)
{
  dIASSERT (skip >= (int)sizeof(dContactGeom));
  dIASSERT (o1->type == dConeClass);
  dIASSERT (o2->type == dBoxClass);
  dxCone *cone = (dxCone*) o1;
  dxSphere *sphere = (dxBox*) o2;

  if (V[2] - zOffset > cone->length)
  	return false;

  dReal r = V[2]*cone->tantheta;
  if (r*r < V[1]*V[1] + V[0]*V[0])
  	return false;

  return true;
}

int dCollideConeBox (dxGeom *o1, dxGeom *o2, int flags, dContactGeom *contact, int skip)
{
  dIASSERT (skip >= (int)sizeof(dContactGeom));
  dIASSERT (o1->type == dConeClass);
  dIASSERT (o2->type == dBoxClass);
  dxCone *cone = (dxCone*) o1;
  dxSphere *sphere = (dxBox*) o2;

  
}


int dCollideConeSphere (dxGeom *o1, dxGeom *o2, int flags, dContactGeom *contact, int skip)
{
  dIASSERT (skip >= (int)sizeof(dContactGeom));
  dIASSERT (o1->type == dConeClass);
  dIASSERT (o2->type == dSphereClass);
  dxCone *cone = (dxCone*) o1;
  dxSphere *sphere = (dxSphere*) o2;

  dVector3 U, D;
  U[0] = cone->pos[0] - (sphere->radius*cone->isin)*cone->axis[0];
  U[1] = cone->pos[1] - (sphere->radius*cone->isin)*cone->axis[1];
  U[2] = cone->pos[2] - (sphere->radius*cone->isin)*cone->axis[2];

  D[0] = sphere->pos[0] - U[0];
  D[1] = sphere->pos[1] - U[1];
  D[2] = sphere->pos[2] - U[2];

  dReal dsq = DOT(D, D);
  dReal e = DOT(cone->axis, D);
  if (e > 0 && e*e >= dsq*cone->cossq)
  {
  	D[0] = sphere->pos[0] - cone->pos[0];
  	D[1] = sphere->pos[1] - cone->pos[1];
  	D[2] = sphere->pos[2] - cone->pos[2];
	dsq = DOT(D, D);
	e = -DOT(cone->axis, D);
	if (e > 0 && e*e >= dsq*cone->sinsq && dsq > sphere.radius*sphere.radius)
		return 0;

	// Build contact...
  //contact->pos
  //contact->normal
  //contact->depth;
  contact->g1 = cone;
  contact->g2 = sphere;

	return 1;
  }

  return 0;
}

dColliderFn * dGetColliderConeFn (int num)
{
	switch (num)
	{
		case dSphereClass:
			return (dColliderFn *) &dCollideConeSphere;
	}

	return NULL;
}

#endif
