#include <stdio.h>
#include "MEM_guardedalloc.h"
#include "BIF_meshHE.h"
#include "BIF_space.h"
#include "blendef.h" 
#include "BLI_arithb.h"

#include "BKE_displist.h"
#include "BKE_hemesh.h"
#include "BKE_utildefines.h"
#include "DNA_hemesh_types.h"

#include "he_editmesh.h"
#include "mydevice.h"
#include "math.h"
#include <string.h>


void HET_FlipAllNormals(void)
{
	HE_ExecToolFromString("Flip Normal", NULL);
	HE_recalcnormals();
	allqueue(REDRAWVIEW3D, 1);
	BIF_undo_push("Flip Normal");
}

char *HE_FlipAllNormalsTool(char *arg_string, HE_EditMesh *em)
{
	
	HE_EditFace *efa;
	if (!em) return NULL;
	
	for (efa=em->faces.first; efa; efa=efa->next) {
		switch_face(efa);
	}
	
	return NULL;
}
