/**
 * Imager shader to convert color pixels into black&white.
 */
imager BL_imager_bw (
        float weight_red   = 0.33334;
        float weight_green = 0.33333;
        float weight_blue  = 0.33333;
) {
        float red   = comp(Ci,0) * weight_red;
        float green = comp(Ci,1) * weight_green;
        float blue  = comp(Ci,2) * weight_blue;

        Ci = (red + green + blue);
        Oi = 1.0;
}
