/**
 * Shows s,t (= u,v) coordinates as a combination of red (s) and green (t)
 * colors.
 *
 * Based upon Listing 16.11 of the RenderMan Companion.
 */
surface BL_shadebug_showuv()
{
        color uv_base_color = color(s, t, 0.4);
        float shadot = abs(normalize(N).normalize(I));
	Ci = ((0.8 * shadot) + 0.2) * uv_base_color;
	Oi = 1;
}

