/**
 * $Id: BSE_edit.h 327 2004-01-14 18:48:12Z goofster $
 *
 * ***** BEGIN GPL/BL DUAL LICENSE BLOCK *****
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. The Blender
 * Foundation also sells licenses for use in proprietary software under
 * the Blender License.  See http://www.blender.org/BL/ for information
 * about this.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The Original Code is Copyright (C) 2001-2002 by NaN Holding BV.
 * All rights reserved.
 *
 * The Original Code is: all of this file.
 *
 * Contributor(s): none yet.
 *
 * ***** END GPL/BL DUAL LICENSE BLOCK *****
 */

#ifndef BSE_EDIT_H
#define BSE_EDIT_H

struct Object;
struct rcti;

int get_border(struct rcti *rect, short col);
void count_object(struct Object *ob, int sel);
void countall(void);
void snapmenu(void); 
void mergemenu(void);

#define ALIGN_XMINX 	1
#define ALIGN_XCENX 	2
#define ALIGN_XMAXX 	3
#define ALIGN_YMINY 	4
#define ALIGN_YCENY 	5
#define ALIGN_YMAXY 	6
#define ALIGN_ZMINZ 	7
#define ALIGN_ZCENZ 	8
#define ALIGN_ZMAXZ 	9
#define ALIGN_AMIN 	10
#define ALIGN_ACEN 	11
#define ALIGN_AMAX 	12
#define ALIGN_AFLOOR 	13
void alignmenu(void);
void align(int);
void transformmenu(void);
void delete_context_selected(void);
void duplicate_context_selected(void);
void toggle_shading(void);
int minmax_verts(float *min, float *max);

#endif /*  BSE_EDIT_H */

