/*
 * $Id: life.h 55 2003-09-01 19:01:49Z hos $
 *
 * ***** BEGIN GPL/BL DUAL LICENSE BLOCK *****
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version. The Blender
 * Foundation also sells licenses for use in proprietary software under
 * the Blender License.  See http://www.blender.org/BL/ for information
 * about this.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * The Original Code is Copyright (C) 2001-2002 by NaN Holding BV.
 * All rights reserved.
 *
 * The Original Code is: all of this file.
 *
 * Contributor(s): none yet.
 *
 * ***** END GPL/BL DUAL LICENSE BLOCK *****
 */

/* life.c */

void life_to_local_sector_co(Life *lf);
void life_from_inv_sector_co(Life *lf);
void aerodynamics(Object *ob);
int sca_handling(Object *ob, Life *lf);

void add_sens_to_cont(bSensor *sens, bController *cont);
void do_obipo(Object *ob, short cur, short delta, float *speed);	/* delta is ook flag! */
void end_lifes(int restore);
short pad_read(void);
void rem_sens_from_cont(bSensor *sens, bController *cont);
void init_lifes(void);
void init_devs(void);
void draw_gamedebug_info(void);
void collision_sensor_input(Object *ob, Life *lf);
